"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("@angular/core");
var ej2_spreadsheet_1 = require("@syncfusion/ej2-spreadsheet");
var AppComponent = (function () {
    function AppComponent() {
    }
    AppComponent.prototype.loadExcel = function (args) {
        var _this = this;
        var request = new XMLHttpRequest();
        request.responseType = "blob";
        request.onload = function () {
            var file = new File([request.response], args.target.value + ".xlsx");
            _this.spreadsheetObj.open({ file: file });
        };
        request.open("GET", "http://localhost:53142/Files/" + args.target.value + ".xlsx");
        request.send();
    };
    AppComponent.prototype.saveAsExcel = function () {
        this.spreadsheetObj.save({ fileName: document.getElementById('mySelect').value });
    };
    return AppComponent;
}());
__decorate([
    core_1.ViewChild("spreadsheet"),
    __metadata("design:type", ej2_spreadsheet_1.Spreadsheet)
], AppComponent.prototype, "spreadsheetObj", void 0);
AppComponent = __decorate([
    core_1.Component({
        selector: 'my-app',
        templateUrl: './app.component.html',
        encapsulation: core_1.ViewEncapsulation.None
    })
], AppComponent);
exports.AppComponent = AppComponent;
//# sourceMappingURL=app.component.js.map