import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { Spreadsheet } from '@syncfusion/ej2-spreadsheet';


@Component({
  selector: 'my-app',
  templateUrl: './app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  @ViewChild("spreadsheet")
  public spreadsheetObj: Spreadsheet;

  loadExcel(args: Event) {
    let request: XMLHttpRequest = new XMLHttpRequest();
    request.responseType = "blob";
    request.onload = () => {
      let file: File = new File([request.response], (args.target as HTMLSelectElement).value + ".xlsx");
      this.spreadsheetObj.open({ file: file as any });
    }
    request.open("GET", "http://localhost:53142/Files/" + (args.target as HTMLSelectElement).value + ".xlsx");
    request.send();
  }

  saveAsExcel() {
    this.spreadsheetObj.save({ fileName: (document.getElementById('mySelect') as HTMLSelectElement).value });
  }
}
